### Method

# AppStream Relation set_display_side_kind

since: 0.12.12

#### Declaration [src]

    void
    as_relation_set_display_side_kind (
      AsRelation* relation,
      AsDisplaySideKind kind
    )

#### Description [src]

Sets the display side kind, in case this item is of kind `AS_RELATION_ITEM_KIND_DISPLAY_LENGTH`.

Available since: 0.12.12

#### Parameters

`kind`

  Type: `AsDisplaySideKind`

  The new `AsDisplaySideKind`.